from flask import Flask, render_template, request

app = Flask(__name__)
animals=["Kamel", "Fiskmås","Gråsäl"]
visits=0

@app.route("/")
def index():
    return render_template("index.html")

@app.route("/animals", methods=["POST", "GET"])
def list_animals():
    global visits
    visits = visits + 1
    message = None
    if request.method == "POST":
        # request.args finns också
        animals.append(request.form['animal'])
        message = "Djur tillagt"
    search = request.args.get("search", "")
    results = [x for x in animals if search in x]
    return render_template("animals.html", animals=results, visits=visits, message=message, options=["Lägg till djur", "Lägg till något"])

@app.route("/animal/<int:id>")
def show_animal(id):
    if id >= len(animals):
        return render_template("animal.html", animal="Finns inte", message="Djuret finns inte!")
    else:
        return render_template("animal.html", animal=animals[id], animal_id=id)

@app.route("/remove_animal")
def remove_animal():
    to_remove = request.args.get('animal', None)
    if to_remove:
        del animals[int(to_remove)]
    return "Djuret är borttaget :("

if __name__ == "__main__":
    app.run(debug=True)
